Bug 405331 - Operating on a 4TB volume, parted states: "Error: Unable to open /dev/sdx - unrecognised disk label."
Operating on a 4TB volume, parted states: "Error: Unable to open /dev/sdx - u...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 22:41 EST by kbell
Modified: 2009-12-16 09:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 09:02:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kbell 2007-11-29 22:41:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5) KHTML/3.5.7 (like Gecko)

Description of problem:
This result is obtained for: parted-1.8.6-10.fc8.x86_64.rpm and 
parted-1.8.6-12.fc9.x86_64.rpm.  Installing parted-1.6.22-3.FC4.x86_64.rpm, 
however, yields a working version.


Version-Release number of selected component (if applicable):
parted-1.8.6-10.fc8.x86_64.rpm

How reproducible:
Always


Steps to Reproduce:
1. Install Fedora 8
2. Attach a 4TB (RAID) volume
3. Run: parted, select /dev/sdx, and print

Actual Results:
"Error: Unable to open /dev/sdx - unrecognised disk label."

Expected Results:
Disk geometry for /dev/sdx: 0.000-4767742.500 megabytes
Disk label type: gpt
Minor    Start       End     Filesystem  Name                  Flags
1          1.000 3375000.000  ext3
2     3375001.000 4767740.000  ext3


Additional info:
Note that even with the parted-1.6.22-3.FC4.x86_64.rpm, however, if instead of 
using the "select" subcommand, I start parted as "parted /dev/sdx", the 
following appears:

"You found a bug in GNU Parted.  Please email a bug report to 
bug-parted@gnu.org containing the version (1.6.22), and the following message:

The sector size on /dev/sdx is 2048 bytes.  Parted is known not to work
properly with drives with sector sizes other than 512 bytes
Ignore/Cancel?"

If I choose "Ignore", then, parted works as expected.

Note also that the volume sector size is, indeed, 2048 bytes.

Although I am accepting the "Severity = Medium" for this, given that using 
parted to create GPT partitions is the only reasonable method for managing 
greater than 2TB partitions, I think that this bug (and the inability to 
handle sector sizes other than 512 bytes) should be fixed soon.
Comment 1 David Cantrell 2008-02-05 19:42:45 EST
We are working on this upstream.  The latest version appear in rawhide, so if
you can try those out, it would help us.
Comment 2 Joel Andres Granados 2008-10-16 11:46:11 EDT
It might be a sector size issue, the current upstream is working hard to solve this matter.  Some further testing needs to be done, but I expect a new release of parted to be around the corner with this fix.
Comment 3 Bug Zapper 2008-11-26 03:45:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Christopher D. Stover 2008-12-16 10:33:57 EST
parted-1.8.8 is now available and hopefully fixes this bug.  It would be great if anyone could confirm this.
Comment 5 Joel Andres Granados 2009-01-21 11:10:53 EST
At least for the sector size issue, parted upstream does not solve the problem.  parted still is unable to work with sector sizes different from 512.
Comment 6 Bug Zapper 2009-06-09 05:22:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Hans de Goede 2009-12-16 09:02:27 EST
The sector size issue is fixed upstream in the 2.0 release. We will rebase to 2.1, which will be out soon sometime in the future, closing.

Note You need to log in before you can comment on or make changes to this bug.